aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorStephen Hines <srhines@google.com>2018-09-20 18:01:39 -0700
committerStephen Hines <srhines@google.com>2018-09-26 21:15:08 +0000
commitc91ab9eb6d46139bba52e541e00e6a80845f4d87 (patch)
tree3f9949bda66bb33f779c3772fc1f8e1eb641992d /scripts
parente12f5e23c2a28b5af38ff0e30de84a6972cd5fab (diff)
downloadbuild_soong-c91ab9eb6d46139bba52e541e00e6a80845f4d87.tar.gz
build_soong-c91ab9eb6d46139bba52e541e00e6a80845f4d87.tar.bz2
build_soong-c91ab9eb6d46139bba52e541e00e6a80845f4d87.zip
Switch to clang-r339409.
This also changes over llvm-strip to use the -o flag, rather than relying on nonstandard (and no longer functional) positional arguments. Bug: http://b/111998531 Test: Multiple new builds. For googlers - http://go/clang-r339409-testing Change-Id: I8c82d06304af24a001e6552e36e2f540d8e364ce
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/strip.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/strip.sh b/scripts/strip.sh
index bfc66ee2..29594dce 100755
--- a/scripts/strip.sh
+++ b/scripts/strip.sh
@@ -54,7 +54,7 @@ do_strip() {
# ${CROSS_COMPILE}strip --strip-all does not strip .ARM.attributes,
# so we tell llvm-strip to keep it too.
if [ ! -z "${use_llvm_strip}" ]; then
- "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes "${infile}" "${outfile}.tmp"
+ "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes "${infile}" -o "${outfile}.tmp"
else
"${CROSS_COMPILE}strip" --strip-all "${infile}" -o "${outfile}.tmp"
fi
@@ -75,7 +75,7 @@ do_strip_keep_mini_debug_info() {
rm -f "${outfile}.dynsyms" "${outfile}.funcsyms" "${outfile}.keep_symbols" "${outfile}.debug" "${outfile}.mini_debuginfo" "${outfile}.mini_debuginfo.xz"
local fail=
if [ ! -z "${use_llvm_strip}" ]; then
- "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes -remove-section=.comment "${infile}" "${outfile}.tmp" || fail=true
+ "${CLANG_BIN}/llvm-strip" --strip-all -keep=.ARM.attributes -remove-section=.comment "${infile}" -o "${outfile}.tmp" || fail=true
else
"${CROSS_COMPILE}strip" --strip-all -R .comment "${infile}" -o "${outfile}.tmp" || fail=true
fi